Bug 1368592 - [abrt] ibus: panel_switch_engine(): ibus-ui-gtk3 killed by SIGSEGV
Summary: [abrt] ibus: panel_switch_engine(): ibus-ui-gtk3 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c610af2d18b3ac622330c8bb625...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-19 21:13 UTC by laolux
Modified: 2017-08-24 10:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:38:00 UTC


Attachments (Terms of Use)
File: backtrace (16.45 KB, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details
File: cgroup (276 bytes, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details
File: core_backtrace (3.22 KB, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details
File: dso_list (9.89 KB, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details
File: environ (3.95 KB, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details
File: exploitable (82 bytes, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details
File: limits (1.29 KB, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details
File: maps (50.17 KB, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details
File: mountinfo (3.76 KB, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details
File: namespaces (102 bytes, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details
File: open_fds (988 bytes, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details
File: var_log_messages (321 bytes, text/plain)
2016-08-19 21:13 UTC, laolux
no flags Details

Description laolux 2016-08-19 21:13:00 UTC
Version-Release number of selected component:
ibus-1.5.13-3.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: panel_switch_engine
executable:     /usr/libexec/ibus-ui-gtk3
global_pid:     3966
kernel:         4.6.6-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 panel_switch_engine at panel.c:2989
 #1 keybinding_manager_event_handler at keybindingmanager.c:659
 #2 _keybinding_manager_event_handler_gdk_event_func at keybindingmanager.c:156
 #3 _gdk_event_emit at gdkevents.c:73
 #9 gtk_main at gtkmain.c:1269
 #10 application_run at application.c:199
 #11 application_main at application.c:269

Comment 1 laolux 2016-08-19 21:13:06 UTC
Created attachment 1192301 [details]
File: backtrace

Comment 2 laolux 2016-08-19 21:13:07 UTC
Created attachment 1192302 [details]
File: cgroup

Comment 3 laolux 2016-08-19 21:13:08 UTC
Created attachment 1192303 [details]
File: core_backtrace

Comment 4 laolux 2016-08-19 21:13:10 UTC
Created attachment 1192304 [details]
File: dso_list

Comment 5 laolux 2016-08-19 21:13:11 UTC
Created attachment 1192305 [details]
File: environ

Comment 6 laolux 2016-08-19 21:13:12 UTC
Created attachment 1192306 [details]
File: exploitable

Comment 7 laolux 2016-08-19 21:13:14 UTC
Created attachment 1192307 [details]
File: limits

Comment 8 laolux 2016-08-19 21:13:15 UTC
Created attachment 1192308 [details]
File: maps

Comment 9 laolux 2016-08-19 21:13:17 UTC
Created attachment 1192309 [details]
File: mountinfo

Comment 10 laolux 2016-08-19 21:13:18 UTC
Created attachment 1192310 [details]
File: namespaces

Comment 11 laolux 2016-08-19 21:13:19 UTC
Created attachment 1192311 [details]
File: open_fds

Comment 12 laolux 2016-08-19 21:13:21 UTC
Created attachment 1192312 [details]
File: proc_pid_status

Comment 13 laolux 2016-08-19 21:13:22 UTC
Created attachment 1192313 [details]
File: var_log_messages

Comment 14 fujiwara 2016-08-23 05:39:35 UTC
I cannot reproduce your backtrace.
Are still able to reproduce your backtrace?

(In reply to laolux from comment #1)
> Created attachment 1192301 [details]
> File: backtrace


#0  0x00005598d06d25ba in panel_switch_engine (self=0x5598d28d8300, i=<optimized out>, force=0) at panel.c:2989
        force = 0
        i = 2
        self = 0x5598d28d8300
2989		_tmp9_ = _tmp7_[_tmp8_];
#1  0x00005598d06ceeb4 in keybinding_manager_event_handler (event=0x5598d2b2c430, self=<optimized out>) at keybindingmanager.c:659
#2  _keybinding_manager_event_handler_gdk_event_func (event=0x5598d2b2c430, self=<optimized out>) at keybindingmanager.c:156
No locals.
#3  0x00007f0b602c90c5 in _gdk_event_emit (event=event@entry=0x5598d2b2c430) at gdkevents.c:73
No locals.
#4  0x00007f0b602f60b2 in gdk_event_source_dispatch (source=source@entry=0x5598d28dbc60, callback=<optimized out>, user_data=<optimized out>) at gdkeventsource.c:367
#5  0x00007f0b5e26e703 in g_main_dispatch (context=0x5598d28e95e0) at gmain.c:3154
#6  g_main_context_dispatch (context=context@entry=0x5598d28e95e0) at gmain.c:3769

Comment 15 laolux 2016-09-06 22:16:44 UTC
I am sorry, I can not get it to crash again.
It has happened to me a couple of times (3 at least before I report), but seemingly arbitrary, so I have no clue what caused it and can not reproduce it.

Comment 16 Fedora End Of Life 2017-07-25 22:31:34 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-08-08 16:38:00 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 18 ompragash 2017-08-24 10:06:10 UTC
Cannot reproduce. Feel free to reopen if anyone can reproduce this issue with "How to reproduce steps".


Note You need to log in before you can comment on or make changes to this bug.